diff options
author | Francois-Xavier Coudert <coudert@clipper.ens.fr> | 2007-01-19 08:12:16 +0100 |
---|---|---|
committer | François-Xavier Coudert <fxcoudert@gcc.gnu.org> | 2007-01-19 07:12:16 +0000 |
commit | 15e92535d343dd4ae92150270f6d393f74595d4d (patch) | |
tree | 00f928e37d415ce07b3907a3f41321acc0f74628 /libgfortran/configure | |
parent | fe30b1f37e48fcae87f5525f53d7509620c57329 (diff) | |
download | gcc-15e92535d343dd4ae92150270f6d393f74595d4d.tar.gz |
re PR libfortran/26893 ([4.1 only] kinds.h not generated, causing failure)
PR libfortran/26893
* acinclude.m4 (LIBGFOR_WORKING_GFORTRAN): New check.
* configure.ac: Add call to LIBGFOR_WORKING_GFORTRAN.
* configure: Regenerate.
* config.h.in: Regenerate because it was forgottent in the last
commit.
Co-Authored-By: Tobias Burnus <burnus@net-b.de>
From-SVN: r120949
Diffstat (limited to 'libgfortran/configure')
-rwxr-xr-x | libgfortran/configure | 61 |
1 files changed, 61 insertions, 0 deletions
diff --git a/libgfortran/configure b/libgfortran/configure index 30b3eb29c7a..3b3ed6a039e 100755 --- a/libgfortran/configure +++ b/libgfortran/configure @@ -4896,6 +4896,67 @@ case "${host}" in esac +# We need a working compiler at that point, otherwise give a clear +# error message and bail out. + + +echo "$as_me:$LINENO: checking whether the GNU Fortran compiler is working" >&5 +echo $ECHO_N "checking whether the GNU Fortran compiler is working... $ECHO_C" >&6 +ac_ext=${FC_SRCEXT-f} +ac_compile='$FC -c $FCFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext >&5' +ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5' +ac_compiler_gnu=$ac_cv_fc_compiler_gnu + +cat >conftest.$ac_ext <<_ACEOF + + program foo + real, parameter :: bar = sin (12.34 / 2.5) + end program foo +_ACEOF +rm -f conftest.$ac_objext +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 + (eval $ac_compile) 2>conftest.er1 + ac_status=$? + grep -v '^ *+' conftest.er1 >conftest.err + rm -f conftest.er1 + cat conftest.err >&5 + echo "$as_me:$LINENO: \$? = $ac_status" >&5 + (exit $ac_status); } && + { ac_try='test -z "$ac_fc_werror_flag" + || test ! -s conftest.err' + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 + (eval $ac_try) 2>&5 + ac_status=$? + echo "$as_me:$LINENO: \$? = $ac_status" >&5 + (exit $ac_status); }; } && + { ac_try='test -s conftest.$ac_objext' + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 + (eval $ac_try) 2>&5 + ac_status=$? + echo "$as_me:$LINENO: \$? = $ac_status" >&5 + (exit $ac_status); }; }; then + echo "$as_me:$LINENO: result: yes" >&5 +echo "${ECHO_T}yes" >&6 +else + echo "$as_me: failed program was:" >&5 +sed 's/^/| /' conftest.$ac_ext >&5 + +echo "$as_me:$LINENO: result: no" >&5 +echo "${ECHO_T}no" >&6 + { { echo "$as_me:$LINENO: error: GNU Fortran is not working; please report a bug in http://gcc.gnu.org/bugzilla, attaching $PWD/config.log" >&5 +echo "$as_me: error: GNU Fortran is not working; please report a bug in http://gcc.gnu.org/bugzilla, attaching $PWD/config.log" >&2;} + { (exit 1); exit 1; }; } + +fi +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext +ac_ext=c +ac_cpp='$CPP $CPPFLAGS' +ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' +ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' +ac_compiler_gnu=$ac_cv_c_compiler_gnu + + + # Check whether --enable-largefile or --disable-largefile was given. if test "${enable_largefile+set}" = set; then enableval="$enable_largefile" |